Ignora e passa al contenuto principale

Questo browser non è più supportato.

Esegui l'aggiornamento a Microsoft Edge per sfruttare i vantaggi di funzionalità più recenti, aggiornamenti della sicurezza e supporto tecnico.

Scarica Microsoft Edge Scopri di più su Internet Explorer e Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

AgentOptimizationJobs

Estimate an agent optimization job

POST /agent_optimization_jobs:estimate

Estimates validation-set rows, per-stage model call volumes, and cost bands without submitting the job.

Parametri di query

api-version string necessario

The API version to use for this operation.

Corpo della richiesta

The inputs to estimate against.

Content-Type: application/json
target_configuration foundry_agent

Base target configuration for an optimization job.

Uno dei seguenti:
foundry_agent AgentOptimizationFoundryAgentTargetConfiguration

Identifies the Foundry agent that owns the configuration being optimized.

type enum necessario

Foundry-agent target discriminator.

foundry_agent
name string necessario

Registered Foundry agent name.

version string

Pinned agent version. Omitted to resolve and pin the latest version.

optimization_model_configuration AgentOptimizationModelConfiguration necessario

Identifies a model used by an optimization or evaluation step.

model string necessario

A non-empty Foundry model name or existing deployment name.

optimization_configuration AgentOptimizationConfiguration necessario

Configuration for optimizing an agent for measured quality.

type enum necessario

Optimization type discriminator.

agent_optimization
goal string | enum

Goal for an agent-optimization job.

Uno qualsiasi dei seguenti:
string
enum
improve_quality
evaluation_configuration AgentOptimizationEvaluationConfiguration necessario

Reusable quality-measurement configuration.

training_set target_completion | user_conversation_simulation necessario

Base discriminated model for an optimization evaluation set.

Uno dei seguenti:
target_completion AgentOptimizationTargetCompletionEvaluationSet

Evaluation set containing independent single-turn inputs.

type enum necessario

Target-completion set discriminator.

target_completion
source inline | dataset_reference necessario

Base source for a target-completion optimization evaluation set.

Uno dei seguenti:
inline AgentOptimizationTargetCompletionInlineDataSource

Supplies single-turn rows directly in the optimization request.

type enum necessario

Inline source discriminator.

inline
test_cases AgentOptimizationTargetCompletionTestCase[] necessario

Target-completion test cases.

dataset_reference AgentOptimizationTargetCompletionDatasetReferenceDataSource

References an explicitly versioned registered Foundry dataset for target-completion evaluation.

type enum necessario

Registered dataset source discriminator.

dataset_reference
name string necessario

Registered dataset name.

version string necessario

Registered dataset version.

user_conversation_simulation AgentOptimizationUserConversationSimulationEvaluationSet

Evaluation set containing scenarios for simulated conversations.

type enum necessario

User-conversation-simulation set discriminator.

user_conversation_simulation
source inline | dataset_reference necessario

Base source for a user-conversation-simulation optimization evaluation set.

Uno dei seguenti:
inline AgentOptimizationUserConversationSimulationInlineDataSource

Supplies Evals user-conversation simulation test cases directly in the optimization request.

type enum necessario

Inline source discriminator.

inline
test_cases UserConversationSimulationTestCase[] necessario

Conversation test scenarios.

dataset_reference AgentOptimizationUserConversationSimulationDatasetReferenceDataSource

References an explicitly versioned registered Foundry dataset for user-conversation-simulation evaluation.

type enum necessario

Registered dataset source discriminator.

dataset_reference
name string necessario

Registered dataset name.

version string necessario

Registered dataset version.

default_simulation_configuration UserConversationSimulationConfiguration

Configures the number, length, audio effects, and simulated user behavior of conversations.

max_num_turns integer

Hard limit on turns in each conversation. When omitted, the service defaults to 20.

conversation_repetitions integer

Number of independent conversation repetitions for each test case. Defaults to 1 when not specified at either the data-source or test-case level.

desired_num_turns integer

Target number of turns in each conversation. The effective value cannot exceed the effective max_num_turns. When omitted, no target is set and the simulation model determines the conversation length dynamically from the scenario.

audio_effects UserConversationSimulationAudioEffectsConfiguration

Configures effects applied to simulated conversation audio.

effects UserConversationSimulationAudioEffect[]

Effects to apply to simulated audio.

volume_percentage integer

Volume of the configured audio effects, as a percentage from 1 through 100. When omitted, the service defaults to 15.

user_behavior UserConversationSimulationUserBehaviorConfiguration

Configures conversation behavior for the simulated user.

interruption default

Configuration for simulated user interruption behavior.

Uno dei seguenti:
default UserConversationSimulationDefaultInterruptionConfiguration

Configures the default interruption behavior for the simulated user.

type enum necessario

The interruption type, always default.

default
validation_set target_completion | user_conversation_simulation

Base discriminated model for an optimization evaluation set.

Uno dei seguenti:
target_completion AgentOptimizationTargetCompletionEvaluationSet

Evaluation set containing independent single-turn inputs.

type enum necessario

Target-completion set discriminator.

target_completion
source inline | dataset_reference necessario

Base source for a target-completion optimization evaluation set.

Uno dei seguenti:
inline AgentOptimizationTargetCompletionInlineDataSource

Supplies single-turn rows directly in the optimization request.

type enum necessario

Inline source discriminator.

inline
test_cases AgentOptimizationTargetCompletionTestCase[] necessario

Target-completion test cases.

dataset_reference AgentOptimizationTargetCompletionDatasetReferenceDataSource

References an explicitly versioned registered Foundry dataset for target-completion evaluation.

type enum necessario

Registered dataset source discriminator.

dataset_reference
name string necessario

Registered dataset name.

version string necessario

Registered dataset version.

user_conversation_simulation AgentOptimizationUserConversationSimulationEvaluationSet

Evaluation set containing scenarios for simulated conversations.

type enum necessario

User-conversation-simulation set discriminator.

user_conversation_simulation
source inline | dataset_reference necessario

Base source for a user-conversation-simulation optimization evaluation set.

Uno dei seguenti:
inline AgentOptimizationUserConversationSimulationInlineDataSource

Supplies Evals user-conversation simulation test cases directly in the optimization request.

type enum necessario

Inline source discriminator.

inline
test_cases UserConversationSimulationTestCase[] necessario

Conversation test scenarios.

dataset_reference AgentOptimizationUserConversationSimulationDatasetReferenceDataSource

References an explicitly versioned registered Foundry dataset for user-conversation-simulation evaluation.

type enum necessario

Registered dataset source discriminator.

dataset_reference
name string necessario

Registered dataset name.

version string necessario

Registered dataset version.

default_simulation_configuration UserConversationSimulationConfiguration

Configures the number, length, audio effects, and simulated user behavior of conversations.

max_num_turns integer

Hard limit on turns in each conversation. When omitted, the service defaults to 20.

conversation_repetitions integer

Number of independent conversation repetitions for each test case. Defaults to 1 when not specified at either the data-source or test-case level.

desired_num_turns integer

Target number of turns in each conversation. The effective value cannot exceed the effective max_num_turns. When omitted, no target is set and the simulation model determines the conversation length dynamically from the scenario.

audio_effects UserConversationSimulationAudioEffectsConfiguration

Configures effects applied to simulated conversation audio.

effects UserConversationSimulationAudioEffect[]

Effects to apply to simulated audio.

volume_percentage integer

Volume of the configured audio effects, as a percentage from 1 through 100. When omitted, the service defaults to 15.

user_behavior UserConversationSimulationUserBehaviorConfiguration

Configures conversation behavior for the simulated user.

interruption default

Configuration for simulated user interruption behavior.

Uno dei seguenti:
default UserConversationSimulationDefaultInterruptionConfiguration

Configures the default interruption behavior for the simulated user.

type enum necessario

The interruption type, always default.

default
evaluators AgentOptimizationEvaluator[] necessario

Evaluator references used to score candidate quality.

evaluation_model EvaluationModelConfiguration necessario

Configures the model that plays the simulated user. This model is separate from the evaluated target.

model string necessario

Model deployment that generates simulated user turns, in the format {connectionName}/modelDeploymentName.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

voice_model azure-standard

Voice configuration used to convert text to speech for evaluation through the Voice Live endpoint.

Uno dei seguenti:
azure-standard EvaluationAzureStandardVoiceModelConfiguration

Configures an Azure standard neural voice used to convert text to speech for evaluation through the Voice Live endpoint.

type enum necessario

The voice kind. Always azure-standard.

azure-standard
name string necessario

The Azure neural voice name.

temperature number

The synthesis temperature, from 0 to 1. When omitted, the service defaults to the underlying voice model's default temperature.

max_concurrent_agent_runs integer

Maximum number of target-agent runs executed concurrently during each single-turn evaluation. If omitted, the service defaults to 1. Conversation evaluation supports only 1.

candidate_search_configuration AgentOptimizationCandidateSearchConfiguration necessario

Candidate search settings.

max_candidates integer

Maximum number of non-baseline candidates to fully evaluate. If omitted, the service defaults to 1.

baseline_agent_configuration AgentOptimizationBaselineAgentConfiguration

Caller-supplied baseline agent values that cannot be resolved from the target agent.

system_prompt string

Caller-supplied baseline system prompt. Omitted to resolve the baseline from the target; a prompt agent's stored definition is authoritative.

current_model string

A non-empty Foundry model name or existing deployment name.

skills AgentOptimizationSkill[]

Skills available for optimization. Omitted when no manual skill surface is supplied.

tools OpenAI.ChatCompletionTool[]

Function tools available for optimization. Omitted when no manual tool surface is supplied. The optimizer may change function and argument descriptions while preserving names and parameter JSON Schema.

agent_optimization_space AgentOptimizationSpace necessario

The agent attributes and alternative values available to an agent-optimization search.

target_attributes TargetAttribute[]

Agent attributes the optimizer may change. If omitted, the service defaults to instructions.

model_search_space AgentOptimizationModelName[]

Alternative model names or existing deployment names available when model is an optimization target.

Risposte

The request has succeeded.

Corpo

Content-Type: application/json
call_counts AgentOptimizationStageEstimate

Estimated values grouped by optimization stage.

agent AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number necessario

Lower estimate based on model calls required for every run.

typical number necessario

Expected estimate based on model calls consumed by a typical run.

ceiling number necessario

Upper bound calculated from the maximum number of model calls.

evaluation AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number necessario

Lower estimate based on model calls required for every run.

typical number necessario

Expected estimate based on model calls consumed by a typical run.

ceiling number necessario

Upper bound calculated from the maximum number of model calls.

optimization AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number necessario

Lower estimate based on model calls required for every run.

typical number necessario

Expected estimate based on model calls consumed by a typical run.

ceiling number necessario

Upper bound calculated from the maximum number of model calls.

cost AgentOptimizationCostEstimate

Estimated monetary cost. Present only when at least one contributing model has pricing data.

currency string necessario

ISO 4217 currency code for all monetary values in this estimate.

total AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number necessario

Lower estimate based on model calls required for every run.

typical number necessario

Expected estimate based on model calls consumed by a typical run.

ceiling number necessario

Upper bound calculated from the maximum number of model calls.

by_stage AgentOptimizationStageEstimate

Estimated values grouped by optimization stage.

agent AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number necessario

Lower estimate based on model calls required for every run.

typical number necessario

Expected estimate based on model calls consumed by a typical run.

ceiling number necessario

Upper bound calculated from the maximum number of model calls.

evaluation AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number necessario

Lower estimate based on model calls required for every run.

typical number necessario

Expected estimate based on model calls consumed by a typical run.

ceiling number necessario

Upper bound calculated from the maximum number of model calls.

optimization AgentOptimizationEstimateBand

A low/typical/ceiling range for an estimated quantity. Cost values apply average per-call usage assumptions to each call-count scenario. Expected values may be fractional, including estimated model-call counts.

low number necessario

Lower estimate based on model calls required for every run.

typical number necessario

Expected estimate based on model calls consumed by a typical run.

ceiling number necessario

Upper bound calculated from the maximum number of model calls.

unpriced_stages AgentOptimizationStage[]

Stages excluded from the total because pricing was unavailable.

prices_as_of integer

Client error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Richiedi

POST /agent_optimization_jobs:estimate HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
it-it
Scelte sulla privacy
  • Dichiarazione di non responsabilità relativa all'intelligenza artificiale
  • Versioni precedenti
  • Blog
  • Collabora
  • Riservatezza
  • Privacy dei dati sanitari dei consumatori
  • Condizioni per l'utilizzo
  • Accessibilità
  • Marchi
  • © Microsoft 2026